## bird 1.0.14

=== conf/Makefile ===
source=cf-parse.tab.c cf-lex.c conf.c
root-rel=../

include ../Rules

conf-src=$(srcdir)/conf
conf-fragments=$(conf-src)/confbase.Y @CONFS@ $(addsuffix /config.Y,$(static-dir-paths))

ifdef DEBUG
BISON_DEBUG=-t
#FLEX_DEBUG=-d
endif

cf-parse.tab.c cf-parse-tab.h: cf-parse.y
	$(BISON) -bcf-parse -dv -pcf_ $(BISON_DEBUG) cf-parse.y

cf-parse.y: $(conf-fragments) $(conf-src)/gen_parser.m4
	$(M4) -P $(conf-src)/gen_parser.m4 $(conf-fragments) >cf-parse.y

keywords.h: $(conf-fragments) $(conf-src)/gen_keywords.m4
	$(M4) -P $(conf-src)/gen_keywords.m4 $(conf-fragments) >keywords.h

commands.h: $(conf-fragments) $(conf-src)/gen_commands.m4 $(srcdir)/client/cmds.m4
	$(M4) -P $(conf-src)/gen_commands.m4 $(srcdir)/client/cmds.m4 $(conf-fragments) | sort >commands.h

cf-lex.c: cf-lex.l
	$(FLEX) $(FLEX_DEBUG) -s -B -8 -ocf-lex.c -Pcf_ cf-lex.l

depend: keywords.h commands.h cf-parse.tab.c cf-lex.c

=== proto/rip/Makefile ===
source=rip.c auth.c
root-rel=../../
dir-name=proto/rip

include ../../Rules

## bird 1.2.5

=== client/Makefile ===
source=client.c commands.c util.c
root-rel=../
dir-name=client

include ../Rules

=== nest/Makefile ===
source=rt-table.c rt-fib.c rt-attr.c proto.c iface.c rt-dev.c password.c cli.c locks.c cmds.c neighbor.c \
	a-path.c a-set.c
root-rel=../
dir-name=nest

include ../Rules

## bird 1.3.3

=== conf/Makefile ===
--- 
+++ 
@@ -11,7 +11,9 @@
 #FLEX_DEBUG=-d
 endif
 
-cf-parse.tab.c cf-parse-tab.h: cf-parse.y
+cf-parse.tab.h: cf-parse.tab.c
+
+cf-parse.tab.c: cf-parse.y
 	$(BISON) -bcf-parse -dv -pcf_ $(BISON_DEBUG) cf-parse.y
 
 cf-parse.y: $(conf-fragments) $(conf-src)/gen_parser.m4

## bird 1.4.0

=== client/Makefile ===
source=commands.c util.c client.c
root-rel=../
dir-name=client

clients := $(client) birdcl

source-dep := $(source) $(addsuffix .c,$(clients))

subdir: $(addsuffix .o,$(clients))

include ../Rules

=== debian/changelog ===
bird (1.4.0-1ubuntu0.14.04.1) trusty; urgency=medium

  * Fixup misc issues with starting bird, cherry picked from Debian:
    - Enable default example router id because it's mandatory for IPv6
      (LP: #1342173).
    - Add 'exec' before bird execution in upstart jobs, ensuring that
      bird processes are correctly tracked (LP: #1463808).
  * d/p/fixup-ftbfs.patch: Cherry pick fix from upstream VCS, resolving
    build failure due to conflicting definitions.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 13:10:51 +0100

bird (1.4.0-1) unstable; urgency=low

  * New upstream version 1.4.0
  * Remove no-strip-by-default and bird-foreground patches; merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Nov 2013 15:57:58 +0100

bird (1.3.11-7) unstable; urgency=low

  * Use autotools-dev debhelper add-on to update config.{sub,guess}
    (Closes: #727331)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 24 Oct 2013 09:03:40 +0200

bird (1.3.11-6) unstable; urgency=low

  * Don't build on hurd, since bird does have a support only for linux and
    bsd kernels
  * Disable LTO for the moment since it doesn't play well with debugging
    information

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Oct 2013 01:24:30 +0200

bird (1.3.11-5) unstable; urgency=low

  * Add NEWS file about changes in the packaging
  * Add privilege separation support
    + bird now runs under bird:bird user and group that
      gets created at package installation/upgrade time
    + the socket directory has changed to /run/bird
    + the configuration has moved into /etc/bird subdirectory
  * Move conffiles from /etc to /etc/bird
  * Add configuration files for other init systems
    + Upstart should work
    + Systemd config files are in place, but not used yed
  * Add support for running on foreground, needed for upstart/systemd

 -- Ondřej Surý <ondrej@debian.org>  Sat, 05 Oct 2013 22:23:34 +0200

bird (1.3.11-4) unstable; urgency=low

  * Don't drop default CFLAGS when using -flto
  * Remove redundant debian/patches/007-io.c_use_gnu.patch
  * Remove redundant debian/patches/008-io.c_pktinfo.patch
  * Link all.o with $(CC) again to try if sparc is ok now
  * Add -flto to LDFLAGS as well (not sure if needed though)
  * Add -fPIC to C/LDFLAGS
  * Enable hardening using the buildflags.mk

 -- Ondřej Surý <ondrej@debian.org>  Sat, 05 Oct 2013 19:50:51 +0200

bird (1.3.11-3) unstable; urgency=low

  * Add an LTO support detection
  * Fix versions in debian/control (Closes: #725319)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Oct 2013 08:10:16 +0200

bird (1.3.11-2) unstable; urgency=low

  * Convert package to 3.0 (quilt) source format
  * Merge bird6 package into bird and make bird6 package transitional
  * Add bird-bgp package that has only BGP protocol enabled
  * Remove --with quilt since it's not needed with higher dh compatibility
    levels
  * Remove README.source since quilt patches are now default
  * Also add bird-bgp-dbg package
  * Add some optimalizations to debian/rules default GCC flags
  * debian/rules: Reautoconfize the sources by default
  * Update copyright to machine readable format
  * Add build dependency on debhelper >= 9~ and drop quilt dependency
  * Drop support for $VERBOSE variable in init scripts and don't call
    internal init API anymore

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Sep 2013 13:52:00 +0200

bird (1.3.11-1) unstable; urgency=low

  * New upstream version 1.3.11
  * Update patches for 1.3.11 release

 -- Ondřej Surý <ondrej@debian.org>  Sun, 28 Jul 2013 21:17:09 +0200

bird (1.3.10-2) unstable; urgency=low

  * Reword the descriptions (Courtesy of Justin B Rye) (Closes: #651283)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 21 Jun 2013 14:57:24 +0200

bird (1.3.10-1) unstable; urgency=low

  * Imported Upstream version 1.3.10
   o Lightweight BIRD client for embedded environments.
   o Dynamic IPv6 router advertisements.
   o New 'next hop keep' option for BGP.
   o Smart default routing table for 'show route export/preexport/protocol'.
   o Automatic router ID selection could be configured to use address of loopback.
   o Allows configured global addresses of NBMA neighbors in OSPFv3.
   o Allows BIRD commands from UNIX shell even in restricted mode.
   o Route limits inherited from templates can be disabled.
   o Symbol names enclosed by apostrophes can contain dots.
   o Several bugfixes.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 May 2013 13:49:15 +0200

bird (1.3.9-1) unstable; urgency=low

  * Imported Upstream version 1.3.9
   o BIRD can be configured to keep and show filtered routes.
   o Separate receive and import limits.
   o Several new reconfiguration cmd options (undo, timeout, check).
   o Configurable automatic router ID selection.
   o Dragonfly BSD support.
   o Fixed OSPFv3 vlinks.
   o Several minor bugfixes.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Jan 2013 10:55:28 +0100

bird (1.3.8-1) unstable; urgency=low

  * Imported Upstream version 1.3.8
    o Generalized import and export route limits.
    o RDNSS and DNSSL support for RAdv.
    o Include in config file support wildcards.
    o History deduplication in BIRD client.
    o New route attributes krt_source, krt_metric.
    o Different instance ID support for OSPFv3.
    o Real broadcast mode for OSPFv2.
    o Several minor bugfixes.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Aug 2012 13:16:15 +0200

bird (1.3.7-1) unstable; urgency=low

  * Imported Upstream version 1.3.7
   + Route Origin Authorization basics.
   + RIPng working again.
   + Extended clist operations in filters.
   + Fixes several bugs in BSD iface handling.
   + Several minor bugfixes and enhancements.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 22 Mar 2012 15:11:39 +0100

bird (1.3.6-1) unstable; urgency=low

  * Imported Upstream version 1.3.6
   + Important bugfix in BGP.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Jan 2012 18:29:33 +0100

bird (1.3.5-1) unstable; urgency=low



=== debian/control ===
Source: bird
Section: net
Priority: extra
Build-Depends: quilt,
	       dpkg-dev (>= 1.16.1.1~),
	       debhelper (>= 9~),
	       flex,
	       bison,
	       m4,
	       libreadline-dev | libreadline6-dev | libreadline5-dev,
	       libncurses5-dev,
	       autotools-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=users/ondrej/bird.git
Vcs-Git: git://git.debian.org/users/ondrej/bird.git
Homepage: http://bird.network.cz/

Package: bird
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Conflicts: zebra, routed
Breaks: bird6 (<< 1.3.11-2~)
Replaces: bird6 (<< 1.3.11-2~)
Provides: bird6
Description: Internet Routing Daemon
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package supports IPv4 and IPv6 versions of OSPF, RIP and BGP.

Package: bird-bgp
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Conflicts: zebra, routed, bird, bird6
Replaces: bird, bird6
Provides: bird, bird6
Description: Internet Routing Daemon [BGP-only version]
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package supports IPv4 and IPv6 versions of BGP.  OSPF and RIP
 support has been disabled in this package to conserve the memory.

Package: bird6
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, bird (>= ${source:Version})
Section: oldlibs
Description: Internet Routing Daemon [transitional packages]
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package is transitional only and can be safely removed.

Package: bird-dbg
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends}, bird (= ${binary:Version})
Recommends: gdb
Section: debug
Priority: extra
Description: Internet Routing Daemon - debug symbols
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package provides the symbols needed for debugging BIRD with gdb.

Package: bird-bgp-dbg
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends}, bird-bgp (= ${binary:Version})
Recommends: gdb
Conflicts: bird-dbg
Replaces: bird-dbg
Provides: bird-dbg
Section: debug
Priority: extra
Description: Internet Routing Daemon - debug symbols [BGP-only version]
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package provides the symbols needed for debugging BIRD with gdb.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

COMMON_FLAGS= --prefix=/usr --sysconfdir=/etc/bird --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info --localstatedir=/var --with-runtimedir=/run/bird \
	--enable-client

CFLAGS += -g -O2 -fno-strict-aliasing -fno-strict-overflow -fPIC
LDFLAGS += -g -O2 -fno-strict-aliasing -fno-strict-overflow -fPIC -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -Bbuild-ipv4 -- $(COMMON_FLAGS) --disable-ipv6 --with-protocols=all
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -Bbuild-ipv6 -- $(COMMON_FLAGS) --enable-ipv6 --with-protocols=all
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -Bbuild-ipv4-bgp -- $(COMMON_FLAGS) --disable-ipv6 --with-protocols=bgp,pipe,static
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -Bbuild-ipv6-bgp -- $(COMMON_FLAGS) --enable-ipv6 --with-protocols=bgp,pipe,static

override_dh_auto_build:
	dh_auto_build -Bbuild-ipv4
	dh_auto_build -Bbuild-ipv6
	dh_auto_build -Bbuild-ipv4-bgp
	dh_auto_build -Bbuild-ipv6-bgp

override_dh_auto_clean:
	dh_auto_clean -Bbuild-ipv4
	dh_auto_clean -Bbuild-ipv6
	dh_auto_clean -Bbuild-ipv4-bgp
	dh_auto_clean -Bbuild-ipv6-bgp

override_dh_auto_install:
	dh_auto_install -Bbuild-ipv4
	dh_auto_install -Bbuild-ipv6
	dh_auto_install -Bbuild-ipv4-bgp --destdir=debian/bgp
	dh_auto_install -Bbuild-ipv6-bgp --destdir=debian/bgp

override_dh_install:
	for d in tmp bgp; do \
	  install -d -m 755 debian/$$d/etc/bird; \
	  install -m 644 debian/envvars debian/$$d/etc/bird/envvars; \
	  install -d -m 755 debian/$$d/usr/lib/bird; \
	  install -m 755 debian/prepare-environment debian/$$d/usr/lib/bird/prepare-environment; \
	done
	dh_install -pbird --sourcedir=debian/tmp
	dh_install -pbird-bgp --sourcedir=debian/bgp

override_dh_strip:
	dh_strip -pbird --dbg-package=bird-dbg
	dh_strip -pbird-bgp --dbg-package=bird-bgp-dbg

override_dh_installinit:
	dh_installinit --name=bird
	dh_installinit --name=bird6

## bird 1.4.4

=== debian/changelog ===
bird (1.4.4-1~bpo60+1) squeeze-backports; urgency=medium

  * Backport for Debian 6.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Jul 2014 07:49:28 +0200

bird (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4
   o Extended OSPF multipath support.
   o Default router preference for RAdv.
   o Significant changes in socket layer.
   o Important bugfix in BGP.
   o Several minor bugfixes.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Jul 2014 07:47:38 +0200

bird (1.4.3-2) unstable; urgency=medium

  * Add licensing of lib/heap.h to debian/copyright (Closes: #745745)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Apr 2014 13:09:53 +0200

bird (1.4.3-1) unstable; urgency=low

  * Change bird-doc dependency from Recommends to Suggests
  * Bump policy version to 3.9.5 (no change)
  * New upstream version 1.4.3

 -- Ondřej Surý <ondrej@debian.org>  Tue, 15 Apr 2014 08:05:35 +0200

bird (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
   o Important bugfix in BFD.  
  * Build documentation and install it into bird-doc package (Closes: #664464)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Apr 2014 08:40:29 +0200

bird (1.4.1-1) unstable; urgency=high

  * New upstream version 1.4.1
   o BGP add-path support (RFC draft).
   o BGP graceful restart (RFC 4724).
   o OSPF: many changes in socket layer.
   o OSPF: support for secondary addresses in BSD.
   o OSPF: names for vlink pseudointerfaces (vlinkX).
   o Several bugfixes.
  * Fix new readline compatibility (Closes: #688385)
  * Add manpage for bird (Closes: #579996)
  * Build documentation and install it into bird-doc package (Closes: #664464)
  * Add a uscan watch file

 -- Ondřej Surý <ondrej@debian.org>  Tue, 01 Apr 2014 12:33:05 +0200

bird (1.4.0-3) unstable; urgency=low

  * Add 'exec' before bird execution in upstart jobs

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Dec 2013 13:00:01 +0100

bird (1.4.0-2) unstable; urgency=low

  * Enable default example router id because it's mandatory for IPv6

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Dec 2013 12:59:35 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,12 @@
 	       m4,
 	       libreadline-dev | libreadline6-dev | libreadline5-dev,
 	       libncurses5-dev,
-	       autotools-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
-Standards-Version: 3.9.4
+	       autotools-dev,
+	       xsltproc,
+	       docbook-xsl,
+	       linuxdoc-tools-latex
+Maintainer: Ondřej Surý <ondrej@debian.org>
+Standards-Version: 3.9.5
 Vcs-Browser: http://git.debian.org/?p=users/ondrej/bird.git
 Vcs-Git: git://git.debian.org/users/ondrej/bird.git
 Homepage: http://bird.network.cz/
@@ -24,6 +26,7 @@
 Breaks: bird6 (<< 1.3.11-2~)
 Replaces: bird6 (<< 1.3.11-2~)
 Provides: bird6
+Suggests: bird-doc
 Description: Internet Routing Daemon
  BIRD is an Internet routing daemon with full support for all the major
  routing protocols. It allows redistribution between protocols with a
@@ -38,6 +41,7 @@
 Conflicts: zebra, routed, bird, bird6
 Replaces: bird, bird6
 Provides: bird, bird6
+Suggests: bird-doc
 Description: Internet Routing Daemon [BGP-only version]
  BIRD is an Internet routing daemon with full support for all the major
  routing protocols. It allows redistribution between protocols with a
@@ -89,3 +93,15 @@
  interface.
  .
  This package provides the symbols needed for debugging BIRD with gdb.
+
+Package: bird-doc
+Architecture: all
+Section: doc
+Priority: optional
+Description: Internet Routing Daemon - documentatio
+ BIRD is an Internet routing daemon with full support for all the major
+ routing protocols. It allows redistribution between protocols with a
+ powerful route filtering syntax and an easy-to-use configuration
+ interface.
+ .
+ This package provides the user and developer documentation.

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,8 @@
 	dh_auto_build -Bbuild-ipv6
 	dh_auto_build -Bbuild-ipv4-bgp
 	dh_auto_build -Bbuild-ipv6-bgp
+	# Build the upstream documentation
+	dh_auto_build -Ddoc
 
 override_dh_auto_clean:
 	dh_auto_clean -Bbuild-ipv4
@@ -60,3 +62,16 @@
 override_dh_installinit:
 	dh_installinit --name=bird
 	dh_installinit --name=bird6
+
+DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
+XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"
+
+bird.8: debian/bird.xml
+	$(XP) $(DB2MAN) $<
+
+override_dh_installman: bird.8
+	dh_installman
+
+override_dh_clean:
+	dh_clean
+	-rm bird.8 birdc.8 bird6.8 birdc6.8

## bird 1.4.5

=== debian/changelog ===
bird (1.4.5-1~bpo70+1) wheezy; urgency=medium

  * Backport for Debian 7.0

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Oct 2014 14:11:06 +0200

bird (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5
   o New 'show route noexport' command option.
   o Port option for BGP sessions.
   o Better constant handling in set literals.
   o Better rate filtering of log messages.
   o Several minor bugfixes.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Oct 2014 10:22:54 +0200

bird (1.4.4-2) unstable; urgency=medium

  [ Frederik Kriewitz ]
  * add missing $BIRD_ARGS to upstart scripts

  [ Ondřej Surý ]
  * Fix Vcs URLs to anonscm.debian.org
  * Add sp to Build-Depends (Closes: #758318)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Aug 2014 10:43:50 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
 	       autotools-dev,
 	       xsltproc,
 	       docbook-xsl,
-	       linuxdoc-tools-latex
+	       linuxdoc-tools-latex,
+	       sp
 Maintainer: Ondřej Surý <ondrej@debian.org>
 Standards-Version: 3.9.5
-Vcs-Browser: http://git.debian.org/?p=users/ondrej/bird.git
-Vcs-Git: git://git.debian.org/users/ondrej/bird.git
+Vcs-Browser: http://anonscm.debian.org/?p=users/ondrej/bird.git
+Vcs-Git: git://anonscm.debian.org/users/ondrej/bird.git
 Homepage: http://bird.network.cz/
 
 Package: bird

## bird 1.5.0

=== doc/Makefile ===
root-rel=../
dir-name=doc

ifneq ($(wildcard ../Rules),)
include ../Rules
else
srcdir=$(shell cd $(root-rel) ; pwd)
srcdir_abs=$(srcdir)
endif

# Force rebuilds
.PHONY: prog.sgml bird.sgml

docs: progdocs userdocs
progdocs: prog.html prog.ps
userdocs: bird.html bird.ps

prog.sgml:
	$(srcdir)/tools/progdoc $(srcdir_abs)

%.html: %.sgml
	./sgml2html $<

%.dvi: %.tex
	latex $<
	latex $<

%.ps: %.dvi
	dvips -D600 -ta4 -o $@ $<

%.tex: %.sgml
	./sgml2latex --output=tex $<

%.txt: %.sgml
	./sgml2txt $<

progspell: prog.sgml
	sed -f prog-spell.sed <prog.sgml >prog.spell
	ispell prog.spell

clean:
	rm -f *.tex *.dvi *.log *.txt *.aux *.toc *.spell
	rm -f prog.sgml

distclean: clean
	rm -f *.html *.ps

=== debian/changelog ===
bird (1.5.0-4build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:39:34 +0000

bird (1.5.0-4) unstable; urgency=medium

  * Fix foo->bird typo in postrm

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 May 2015 15:56:03 +0200

bird (1.5.0-3) unstable; urgency=medium

  * Use IPv4 router id in IPv6 example to unbreak default config
  * Use UCF_FORCE_CONFFOLD to force ucf to always use user version of bird
    conffile (Closes: 784852)
  * Remove dpkg-maintscript-helper scripts also from bird.postinst
  * Add old md5sum for bird.conf(s) to prevent dialogues when upgrading
    from jessie and 1.5.0-1

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 May 2015 08:03:06 +0200

bird (1.5.0-2) unstable; urgency=medium

  * Fix extra bird.conf/ directory in /usr/share/bird/

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 May 2015 12:05:33 +0200

bird (1.5.0-2~exp1) experimental; urgency=medium

  * Add TEXINPUTS=.:tex: to latex invocation to fix documentation build
  * Change conffile handling to use ucf (Closes: #731243)
  * Cleanup bird-bgp and make it a transitional package
  * Delete upstart scripts

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 May 2015 10:12:10 +0200

bird (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
   o Major OSPF protocol redesign.
   o OSPFv2 multi-instance extension (RFC 6549).
   o BGP AS-wide unique router ID (RFC 6286).
   o BGP enhanced route refresh (RFC 7313).
   o Link state support in BGP.
   o Latency tracking and internal watchdog.
   o Uses high port range for BFD on BSD.
   o Increase max symbol length to 64.
   o Allows to define unnamed protocols from templates.
   o Fixes two serious bugs in BGP.
   o Several bugfixes and minor improvements.
   o Several minor option changes:
     - OSPF: Protocol-wide 'instance id' option added.
     - BGP: Parameters to option 'neighbor' extended.
     - BGP: Separate option 'interface' added.
     - BGP: Option 'start delay time' renamed to 'connect delay time'.
     - BGP: Option 'route limit' deprecated.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Apr 2015 20:41:30 +0200

=== debian/control ===
Source: bird
Section: net
Priority: extra
Build-Depends: autotools-dev,
               bison,
               debhelper (>= 9~),
               docbook-xsl,
               dpkg-dev (>= 1.16.1.1~),
               flex,
               libncurses5-dev,
               libreadline-dev | libreadline6-dev | libreadline5-dev,
               linuxdoc-tools-latex,
               m4,
               quilt,
               sp,
               xsltproc
Maintainer: Ondřej Surý <ondrej@debian.org>
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/?p=users/ondrej/bird.git
Vcs-Git: git://anonscm.debian.org/users/ondrej/bird.git
Homepage: http://bird.network.cz/

Package: bird
Architecture: kfreebsd-any linux-any
Depends: adduser,
	 ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: routed,
           zebra
Breaks: bird-bgp (<< 1.5.0-2~)
Replaces: bird-bgp (<< 1.5.0-2~)
Provides: bird-bgp
Suggests: bird-doc
Description: Internet Routing Daemon
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package supports IPv4 and IPv6 versions of OSPF, RIP and BGP.

Package: bird-dbg
Architecture: kfreebsd-any linux-any
Depends: bird (= ${binary:Version}),
         ${misc:Depends}
Breaks: bird-bgp-dbg (<< 1.5.0-2~)
Replaces: bird-bgp-dbg (<< 1.5.0-2~)
Provides: bird-bgp-dbg
Recommends: gdb
Section: debug
Priority: extra
Description: Internet Routing Daemon - debug symbols
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package provides the symbols needed for debugging BIRD with gdb.

Package: bird-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Internet Routing Daemon - documentatio
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package provides the user and developer documentation.

Package: bird-bgp
Architecture: all
Depends: adduser,
         bird (>= ${source:Version}~),
         ${misc:Depends}
Section: oldlibs
Description: Internet Routing Daemon [transitional package]
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package is transitional and can be safely removed.

Package: bird-bgp-dbg
Architecture: all
Depends: bird-dbg (>= ${source:Version}~),
         ${misc:Depends}
Section: oldlibs
Priority: extra
Description: Internet Routing Daemon - debug symbols [transitional package]
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package is transitional only and can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -22,42 +22,37 @@
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -Bbuild-ipv4 -- $(COMMON_FLAGS) --disable-ipv6 --with-protocols=all
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -Bbuild-ipv6 -- $(COMMON_FLAGS) --enable-ipv6 --with-protocols=all
-	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -Bbuild-ipv4-bgp -- $(COMMON_FLAGS) --disable-ipv6 --with-protocols=bgp,pipe,static
-	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -Bbuild-ipv6-bgp -- $(COMMON_FLAGS) --enable-ipv6 --with-protocols=bgp,pipe,static
 
 override_dh_auto_build:
 	dh_auto_build -Bbuild-ipv4
 	dh_auto_build -Bbuild-ipv6
-	dh_auto_build -Bbuild-ipv4-bgp
-	dh_auto_build -Bbuild-ipv6-bgp
 	# Build the upstream documentation
 	dh_auto_build -Ddoc
 
 override_dh_auto_clean:
 	dh_auto_clean -Bbuild-ipv4
 	dh_auto_clean -Bbuild-ipv6
-	dh_auto_clean -Bbuild-ipv4-bgp
-	dh_auto_clean -Bbuild-ipv6-bgp
 
 override_dh_auto_install:
 	dh_auto_install -Bbuild-ipv4
 	dh_auto_install -Bbuild-ipv6
-	dh_auto_install -Bbuild-ipv4-bgp --destdir=debian/bgp
-	dh_auto_install -Bbuild-ipv6-bgp --destdir=debian/bgp
 
 override_dh_install:
-	for d in tmp bgp; do \
-	  install -d -m 755 debian/$$d/etc/bird; \
-	  install -m 644 debian/envvars debian/$$d/etc/bird/envvars; \
-	  install -d -m 755 debian/$$d/usr/lib/bird; \
-	  install -m 755 debian/prepare-environment debian/$$d/usr/lib/bird/prepare-environment; \
-	done
+	install -d -m 755 debian/tmp/etc/bird
+	install -m 644 debian/envvars debian/tmp/etc/bird/
+	install -d -m 755 debian/tmp/usr/lib/bird
+	install -m 755 debian/prepare-environment debian/tmp/usr/lib/bird/
+	install -d -m 755 debian/tmp/usr/share/bird
+	install -m 644 debian/bird.conf debian/tmp/usr/share/bird/
+	install -m 644 debian/bird6.conf debian/tmp/usr/share/bird/
+	install -d -m 755 debian/tmp/usr/share/bird/bird.conf.md5sum.d/
+	install -d -m 755 debian/tmp/usr/share/bird/bird6.conf.md5sum.d/
+	install -m 644 debian/bird.conf.md5sum.d/* debian/tmp/usr/share/bird/bird.conf.md5sum.d/
+	install -m 644 debian/bird6.conf.md5sum.d/* debian/tmp/usr/share/bird/bird6.conf.md5sum.d/
 	dh_install -pbird --sourcedir=debian/tmp
-	dh_install -pbird-bgp --sourcedir=debian/bgp
 
 override_dh_strip:
 	dh_strip -pbird --dbg-package=bird-dbg
-	dh_strip -pbird-bgp --dbg-package=bird-bgp-dbg
 
 override_dh_installinit:
 	dh_installinit --name=bird
@@ -74,4 +69,4 @@
 
 override_dh_clean:
 	dh_clean
-	-rm bird.8 birdc.8 bird6.8 birdc6.8
+	-rm -f bird.8 birdc.8 bird6.8 birdc6.8

## bird 1.6.0

=== debian/changelog ===
bird (1.6.0-4) unstable; urgency=medium

  * Use opensp instead of sp (Closes: #837870)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Sep 2016 12:12:12 +0200

bird (1.6.0-3) unstable; urgency=medium

  * Add explicit dh_systemd_enable call in d/rules

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Sep 2016 17:52:37 +0200

bird (1.6.0-2) unstable; urgency=medium

  * Enable dh_systemd_* where available
  * Migrate from a manual "-dbg" package (created with --dbg-package) to
    an automatic generated debug symbol package.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 Aug 2016 11:02:37 +0200

bird (1.6.0-1) unstable; urgency=medium

  * Imported Upstream version 1.6.0
  * Update patches on top of 1.6.0 release

 -- Ondřej Surý <ondrej@debian.org>  Sat, 30 Apr 2016 21:16:16 +0200

bird (1.5.0-5) unstable; urgency=medium

  * Fix Vcs-Browser URL
  * Fix typo in bird-doc package (Closes: #802029)
  * Return the upstart scripts back for now

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Mar 2016 19:22:27 +0100

=== debian/control ===
Source: bird
Section: net
Priority: extra
Build-Depends: autotools-dev,
               bison,
               debhelper (>= 9~),
               dh-systemd (>= 1.3) [linux-any] | base-files (<< 7.2ubuntu5~) [linux-any],
               docbook-xsl,
               dpkg-dev (>= 1.16.1.1~),
               flex,
               libncurses5-dev,
               libreadline-dev | libreadline6-dev | libreadline5-dev,
               linuxdoc-tools-latex,
               m4,
               quilt,
               opensp,
               xsltproc
Maintainer: Ondřej Surý <ondrej@debian.org>
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/users/ondrej/bird.git/
Vcs-Git: git://anonscm.debian.org/users/ondrej/bird.git
Homepage: http://bird.network.cz/

Package: bird
Architecture: kfreebsd-any linux-any
Depends: adduser,
	 ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: routed,
           zebra
Breaks: bird-bgp (<< 1.5.0-2~)
Replaces: bird-bgp (<< 1.5.0-2~)
Provides: bird-bgp
Suggests: bird-doc
Description: Internet Routing Daemon
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package supports IPv4 and IPv6 versions of OSPF, RIP and BGP.

Package: bird-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Internet Routing Daemon - documentation
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package provides the user and developer documentation.

Package: bird-bgp
Architecture: all
Depends: adduser,
         bird (>= ${source:Version}~),
         ${misc:Depends}
Section: oldlibs
Description: Internet Routing Daemon [transitional package]
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package is transitional and can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/default.mk
 
 COMMON_FLAGS= --prefix=/usr --sysconfdir=/etc/bird --mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info --localstatedir=/var --with-runtimedir=/run/bird \
@@ -16,8 +16,22 @@
 CFLAGS += -g -O2 -fno-strict-aliasing -fno-strict-overflow -fPIC
 LDFLAGS += -g -O2 -fno-strict-aliasing -fno-strict-overflow -fPIC -Wl,-z,defs -Wl,--as-needed
 
+ifeq (linux,$(DEB_HOST_ARCH_OS))
+  DH_SYSTEMD        := --with systemd
+else
+  DH_SYSTEMD        :=
+endif
+
+# Disable systemd on Ubuntu 12.04 LTS
+ifeq (Ubuntu,$(DEB_VENDOR))
+  ifeq (precise,$(DEB_DISTRIBUTION))
+  DH_SYSTEMD        :=
+  endif
+endif
+
+
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autotools_dev $(DH_SYSTEMD)
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -Bbuild-ipv4 -- $(COMMON_FLAGS) --disable-ipv6 --with-protocols=all
@@ -52,7 +66,7 @@
 	dh_install -pbird --sourcedir=debian/tmp
 
 override_dh_strip:
-	dh_strip -pbird --dbg-package=bird-dbg
+	dh_strip -O--dbgsym-migration='bird-dbg (<< 1.6.0-2~), bird-bgp-dbg (<< 1.6.0-2~)'
 
 override_dh_installinit:
 	dh_installinit --name=bird
@@ -70,3 +84,10 @@
 override_dh_clean:
 	dh_clean
 	-rm -f bird.8 birdc.8 bird6.8 birdc6.8
+
+override_dh_systemd_enable:
+	dh_systemd_enable --name=bird
+	dh_systemd_enable --name=bird6
+
+override_dh_systemd_start:
+	dh_systemd_start --restart-after-upgrade

## bird 1.6.3

=== doc/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 docs: progdocs userdocs
 progdocs: prog.html prog.ps
-userdocs: bird.html bird.ps
+userdocs: bird.html bird.pdf
 
 prog.sgml:
 	$(srcdir)/tools/progdoc $(srcdir_abs)
@@ -27,6 +27,10 @@
 
 %.ps: %.dvi
 	dvips -D600 -ta4 -o $@ $<
+
+%.pdf: %.tex
+	pdflatex $<
+	pdflatex $<
 
 %.tex: %.sgml
 	./sgml2latex --output=tex $<

=== filter/Makefile ===
source=f-util.c filter.c tree.c trie.c
root-rel=../
dir-name=filter

include ../Rules

=== nest/Makefile ===
source=rt-table.c rt-fib.c rt-attr.c rt-roa.c proto.c iface.c rt-dev.c password.c cli.c locks.c cmds.c neighbor.c \
	a-path.c a-set.c
root-rel=../
dir-name=nest

include ../Rules

=== doc/slt2001/Makefile ===
all: slt.dvi

slt.dvi: slt.tex
	csplain slt.tex

slt.ps: slt.dvi
	dvips -o slt.ps -D600 -ta4 slt.dvi

clean:
	rm -f *~ *.log *.tfm *.*pk *.*gf *.ps *.dvi

=== proto/bfd/Makefile ===
source=bfd.c packets.c io.c
root-rel=../../
dir-name=proto/bfd

include ../../Rules

=== proto/ospf/Makefile ===
source=ospf.c topology.c packet.c hello.c neighbor.c iface.c dbdes.c lsreq.c lsupd.c lsack.c lsalib.c rt.c
root-rel=../../
dir-name=proto/ospf

include ../../Rules

=== proto/pipe/Makefile ===
source=pipe.c
root-rel=../../
dir-name=proto/pipe

include ../../Rules

=== proto/radv/Makefile ===
source=radv.c packets.c
root-rel=../../
dir-name=proto/radv

include ../../Rules

=== proto/static/Makefile ===
source=static.c
root-rel=../../
dir-name=proto/static

include ../../Rules

=== debian/changelog ===
bird (1.6.3-3) unstable; urgency=medium

  * Add PIDFILE creation to sysvrc scripts
  * Add extra BIRD4_ARGS and BIRD6_ARGS in addition to BIRD_ARGS
    (Closes: #856395)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 01 Mar 2017 10:20:05 +0100

bird (1.6.3-2) unstable; urgency=medium

  * Add default 'metric 64' option to bird.conf on Linux

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 Jan 2017 10:05:18 +0100

bird (1.6.3-1) unstable; urgency=medium

  * Imported Upstream version 1.6.3
  * Rebase patches on top of 1.6.3 release
  * Add texlive-latex-extra to build-depends to add enumitem.sty to the
    system

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Dec 2016 22:54:45 +0100

bird (1.6.2-3) unstable; urgency=medium

  [ Ondrej Zajicek ]
  * Add upstream patch to fix memory leak in graceful restart code

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Nov 2016 14:02:18 +0100

bird (1.6.2-2) unstable; urgency=medium

  * Add missing --restart-after-upgrade to dh_installinit

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Oct 2016 11:53:45 +0200

bird (1.6.2-1) unstable; urgency=high

  * Imported Upstream version 1.6.2

 -- Ondřej Surý <ondrej@debian.org>  Thu, 29 Sep 2016 20:48:49 +0200

bird (1.6.1-1) unstable; urgency=medium

  * Imported Upstream version 1.6.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 26 Sep 2016 11:40:33 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
                libreadline-dev | libreadline6-dev | libreadline5-dev,
                linuxdoc-tools-latex,
                m4,
+               opensp,
                quilt,
-               opensp,
+               texlive-latex-extra,
                xsltproc
 Maintainer: Ondřej Surý <ondrej@debian.org>
 Standards-Version: 3.9.6
@@ -24,7 +25,7 @@
 Package: bird
 Architecture: kfreebsd-any linux-any
 Depends: adduser,
-	 ucf,
+         ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: routed,

=== debian/rules ===
--- 
+++ 
@@ -57,8 +57,8 @@
 	install -d -m 755 debian/tmp/usr/lib/bird
 	install -m 755 debian/prepare-environment debian/tmp/usr/lib/bird/
 	install -d -m 755 debian/tmp/usr/share/bird
-	install -m 644 debian/bird.conf debian/tmp/usr/share/bird/
-	install -m 644 debian/bird6.conf debian/tmp/usr/share/bird/
+	install -m 644 debian/bird.conf.$(DEB_HOST_ARCH_OS) debian/tmp/usr/share/bird/bird.conf
+	install -m 644 debian/bird6.conf.$(DEB_HOST_ARCH_OS) debian/tmp/usr/share/bird/bird6.conf
 	install -d -m 755 debian/tmp/usr/share/bird/bird.conf.md5sum.d/
 	install -d -m 755 debian/tmp/usr/share/bird/bird6.conf.md5sum.d/
 	install -m 644 debian/bird.conf.md5sum.d/* debian/tmp/usr/share/bird/bird.conf.md5sum.d/
@@ -69,8 +69,8 @@
 	dh_strip -O--dbgsym-migration='bird-dbg (<< 1.6.0-2~), bird-bgp-dbg (<< 1.6.0-2~)'
 
 override_dh_installinit:
-	dh_installinit --name=bird
-	dh_installinit --name=bird6
+	dh_installinit --name=bird --restart-after-upgrade
+	dh_installinit --name=bird6 --restart-after-upgrade
 
 DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
 XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

## bird 1.6.4

=== debian/changelog ===
bird (1.6.4-1) unstable; urgency=medium

  * Update Vcs-* to salsa.d.o
  * Constraint the d/watch to bird 1.x.x
  * New upstream version 1.6.4
  * Rebase patches for BIRD 1.6.4

 -- Ondřej Surý <ondrej@debian.org>  Sun, 15 Apr 2018 13:35:23 +0000

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                xsltproc
 Maintainer: Ondřej Surý <ondrej@debian.org>
 Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/users/ondrej/bird.git/
-Vcs-Git: git://anonscm.debian.org/users/ondrej/bird.git
+Vcs-Browser: https://salsa.debian.org/debian/bird
+Vcs-Git: https://salsa.debian.org/debian/bird.git
 Homepage: http://bird.network.cz/
 
 Package: bird

## bird 1.6.5

=== debian/changelog ===
bird (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5

 -- Ondřej Surý <ondrej@debian.org>  Tue, 15 Jan 2019 08:56:09 +0000

## bird 1.6.6

=== doc/Makefile ===
--- 
+++ 
@@ -8,11 +8,13 @@
 srcdir_abs=$(srcdir)
 endif
 
+export TEXINPUTS := $(TEXINPUTS):$(srcdir_abs)/doc/tex
+
 # Force rebuilds
 .PHONY: prog.sgml bird.sgml
 
 docs: progdocs userdocs
-progdocs: prog.html prog.ps
+progdocs: prog.html prog.pdf
 userdocs: bird.html bird.pdf
 
 prog.sgml:

=== debian/changelog ===
bird (1.6.6-1+deb10u1) buster-security; urgency=medium

  * [CVE-2019-16159]: Fix stack-based buffer overflow (Closes: #939990)

 -- Ondřej Surý <ondrej@sury.org>  Wed, 18 Sep 2019 11:29:03 +0200

bird (1.6.6-1) unstable; urgency=medium

  * New upstream version 1.6.6

 -- Ondřej Surý <ondrej@debian.org>  Sun, 03 Mar 2019 07:56:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: bird
 Section: net
-Priority: extra
+Priority: optional
 Build-Depends: autotools-dev,
                bison,
                debhelper (>= 9~),
@@ -45,7 +45,6 @@
 Package: bird-doc
 Architecture: all
 Section: doc
-Priority: optional
 Depends: ${misc:Depends}
 Description: Internet Routing Daemon - documentation
  BIRD is an Internet routing daemon with full support for all the major

=== debian/rules ===
--- 
+++ 
@@ -57,8 +57,8 @@
 	install -d -m 755 debian/tmp/usr/lib/bird
 	install -m 755 debian/prepare-environment debian/tmp/usr/lib/bird/
 	install -d -m 755 debian/tmp/usr/share/bird
-	install -m 644 debian/bird.conf.$(DEB_HOST_ARCH_OS) debian/tmp/usr/share/bird/bird.conf
-	install -m 644 debian/bird6.conf.$(DEB_HOST_ARCH_OS) debian/tmp/usr/share/bird/bird6.conf
+	install -m 644 debian/bird.conf debian/tmp/usr/share/bird/
+	install -m 644 debian/bird6.conf debian/tmp/usr/share/bird/
 	install -d -m 755 debian/tmp/usr/share/bird/bird.conf.md5sum.d/
 	install -d -m 755 debian/tmp/usr/share/bird/bird6.conf.md5sum.d/
 	install -m 644 debian/bird.conf.md5sum.d/* debian/tmp/usr/share/bird/bird.conf.md5sum.d/

## bird 1.6.7

=== debian/changelog ===
bird (1.6.7-1) unstable; urgency=medium

  [ Ondrej Zajicek ]
  * Handle collisions between bird and bird2
  * Drop dh-systemd

  [ Ondřej Surý ]
  * Bump compat level to v10 (needed by previous change)
  * New upstream version 1.6.7

 -- Ondřej Surý <ondrej@sury.org>  Mon, 05 Aug 2019 10:16:43 +0200

## bird 1.6.8

=== conf/Makefile ===
--- 
+++ 
@@ -29,3 +29,5 @@
 	$(FLEX) $(FLEX_DEBUG) -s -B -8 -ocf-lex.c -Pcf_ cf-lex.l
 
 depend: keywords.h commands.h cf-parse.tab.c cf-lex.c
+
+cf-lex.o: CFLAGS+=-Wno-sign-compare -Wno-unused-function

=== proto/babel/Makefile ===
source=babel.c packets.c
root-rel=../../
dir-name=proto/babel

include ../../Rules

=== proto/bgp/Makefile ===
source=bgp.c attrs.c packets.c
root-rel=../../
dir-name=proto/bgp

include ../../Rules

=== proto/mrt/Makefile ===
source=mrt.c
root-rel=../../
dir-name=proto/mrt

include ../../Rules

=== debian/changelog ===
bird (1.6.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix compilation with GCC 10 (Closes: #957045)
  * Remove obsolete upstart files

 -- Benjamin Drung <bdrung@debian.org>  Sat, 02 Jan 2021 17:40:39 +0100

bird (1.6.8-2) unstable; urgency=medium

  * Sync the linuxdoc mangled files with linuxdoc-tools_0.9.73-2
    (Closes: #959612)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 May 2020 10:27:20 +0200

bird (1.6.8-1) unstable; urgency=medium

  * New upstream version 1.6.8

 -- Ondřej Surý <ondrej@sury.org>  Mon, 16 Sep 2019 16:00:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: bird
 Section: net
 Priority: optional
-Build-Depends: autotools-dev,
-               bison,
-               debhelper (>= 9~),
-               dh-systemd (>= 1.3) [linux-any] | base-files (<< 7.2ubuntu5~) [linux-any],
+Build-Depends: bison,
+               debhelper (>= 10~),
                docbook-xsl,
                dpkg-dev (>= 1.16.1.1~),
                flex,
@@ -46,6 +44,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Internet Routing Daemon - documentation
  BIRD is an Internet routing daemon with full support for all the major
  routing protocols. It allows redistribution between protocols with a

=== debian/rules ===
--- 
+++ 
@@ -16,22 +16,8 @@
 CFLAGS += -g -O2 -fno-strict-aliasing -fno-strict-overflow -fPIC
 LDFLAGS += -g -O2 -fno-strict-aliasing -fno-strict-overflow -fPIC -Wl,-z,defs -Wl,--as-needed
 
-ifeq (linux,$(DEB_HOST_ARCH_OS))
-  DH_SYSTEMD        := --with systemd
-else
-  DH_SYSTEMD        :=
-endif
-
-# Disable systemd on Ubuntu 12.04 LTS
-ifeq (Ubuntu,$(DEB_VENDOR))
-  ifeq (precise,$(DEB_DISTRIBUTION))
-  DH_SYSTEMD        :=
-  endif
-endif
-
-
 %:
-	dh $@ --with autotools_dev $(DH_SYSTEMD)
+	dh $@
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -Bbuild-ipv4 -- $(COMMON_FLAGS) --disable-ipv6 --with-protocols=all

=== debian/watch ===
version=3
ftp://bird.network.cz/pub/bird/bird-(1\.[\d.]+).tar.gz
